Name: unpaper
Version: 6.1
Release: 4
Summary: A post-processing tool for scanned sheets of paper

License: GPLv2
URL: https://github.com/unpaper/unpaper
Source0: https://github.com/unpaper/unpaper/archive/refs/tags/%{name}-%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: meson
BuildRequires: sphinx
BuildRequires: ffmpeg-devel
BuildRequires: libxslt
Requires: ffmpeg

%description
unpaper is a post-processing tool for scanned sheets of paper,
especially for book pages that have been scanned from previously
created photocopies. The main purpose is to make scanned book
pages better readable on screen after conversion to PDF.
Additionally, unpaper might be useful to enhance the quality
of scanned pages before performing optical character recognition
(OCR).

%prep
%setup -q

%build
autoreconf -fis
%configure --prefix=%{_prefix}
%{__make}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=%{buildroot}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING NEWS README.md
%doc %{_docdir}/%{name}/img/*.png
%doc %{_docdir}/%{name}/img/documentation.odg
%doc %{_docdir}/%{name}/basic-concepts.md
%doc %{_docdir}/%{name}/image-processing.md
%doc %{_docdir}/%{name}/file-formats.md
%{_mandir}/man1/unpaper.1.gz
%attr(0755,root,root) %{_bindir}/unpaper

%changelog
* Fri Jul 22 2022 Daniel Berteaud <dbd@ehtrace.com> 6.1-4
- Revert "Update to 7.0.0" (dbd@ehtrace.com)
- Revert "Automatic commit of package [unpaper] minor release [7.0.0-1]."
  (dbd@ehtrace.com)
- Revert "Adapt for meson build" (dbd@ehtrace.com)
- Adapt for meson build (dbd@ehtrace.com)
- Automatic commit of package [unpaper] minor release [7.0.0-1].
  (dbd@ehtrace.com)
- Update to 7.0.0 (dbd@ehtrace.com)

* Tue Jan 11 2022 Daniel Berteaud <dbd@ehtrace.com> 6.1-3
- Release bump

* Wed Dec 08 2021 Daniel Berteaud <dani@lapiole.org> 6.1-2
- Update tito builder (dani@lapiole.org)

* Tue Aug 24 2021 Daniel Berteaud <daniel@firewall-services.com> 6.1-1
- First package
